const defaultTheme = require('tailwindcss/defaultTheme');

module.exports = {
  mode: 'jit',
  content: [
    './public/*.html',
    './app/helpers/**/*.rb',
    './app/javascript/**/*.{jsx,js,tsx,ts}',
    './app/views/**/*.{erb,haml,html,slim}',
  ],
  theme: {
    extend: {
      fontFamily: {
        sans: ['Inter var', ...defaultTheme.fontFamily.sans],
      },
    },
  },
  plugins: [
    require('@tailwindcss/forms'),
    require('@tailwindcss/aspect-ratio'),
    require('@tailwindcss/typography'),
    require('@tailwindcss/container-queries'),
  ],
  // Custom class regex patterns to match those in VSCode settings
  experimental: {
    classRegex: [
      /\\bclass:\s*'([^']*)'/,
      /\\bclass:\s*"([^"]*)"/,
      /["'`]([^"'`]*).*?,?\s?/,
    ],
  },
};
